Subject: Re: [PATCH] t4013: add expected failure for "log --patch --no-patch"

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 May 2023 11:07:20 -0700

Sergey Organov <[email-masked]> writes:

> No problem from my side, but are you sure?

Absolutely.

I've seen people just say "we document a failed one" and leave it at
that, without attempting to fix.  I am trying to see if pushing back
at first would serve as a good way to encourage these known failure
to be fixed, without accumulating too many expect_failure in our
test suite, which will waste cycles at CI runs (which do not need to
be reminded something is known to be broken).  I will try not to do
this when I do not positively know the author of such a patch is
capable enough to provide a fix, though, and you are unlucky enough
to have shown your abilities in the past ;-)

Thanks.